package com.chaozhanggui.dao.system.dao;

import com.baomidou.mybatisplus.extension.service.IService;
import com.chaozhanggui.dao.system.entity.TbPlussRiskBlacklist;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Component;

/**
 * @author lyf
 */
@Component
@Mapper
public interface TbPlussRiskBlacklistMapper extends IService<TbPlussRiskBlacklist> {
    int deleteByPrimaryKey(Integer id);

    int insert(TbPlussRiskBlacklist record);

    int insertSelective(TbPlussRiskBlacklist record);

    TbPlussRiskBlacklist selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(TbPlussRiskBlacklist record);

    int updateByPrimaryKey(TbPlussRiskBlacklist record);

    int selectCount(@Param("idCardNo") String idCardNo);
}